Re: [xml] libxml installation problem

That version was released in January 2002, and as such is over 5 years
old. I'm not surprised it didn't compile after you mixed it with a new

You might want to try a more recent version, latest is 2.6.28...


On 5/18/07, Hamid Gasmi <h gasmi gmail com> wrote:


I would like to use libxml.  I have downloaded libxml-1.8.17. I have updated
the script config.guess by the last version, as it is said. But, i have not
succeed to install it. I have, in fact, the following problem when I make
the library, like you can see below:

> ./configure --prefix = /myProjectDir
> make
/bin/sh ./libtool --mode=link gcc -m64  -g -O2 -Wall  -o -rpath
/myProjectDir/lib/ibm/ -version-info 9:17:8  SAX.lo entities.lo encoding.lo
error.lo parser.lo parserold.lo HTMLparser.lo HTMLtree.lo debugXML.lo
tree.lo xpath.lo xmlIO.lo xmlmemory.lo nanohttp.lo nanoftp.lo valid.lo
xlink.lo uri.lo
rm -fr .libs/ .libs/libxml.* .libs/libxml.*
(cd .libs && rm -f && ln -s
(cd .libs && rm -f && ln -s
ar cru .libs/libxml.a  SAX.o entities.o encoding.o error.o parser.o
parserold.o HTMLparser.o HTMLtree.o debugXML.o tree.o xpath.o xmlIO.o
xmlmemory.o nanohttp.o nanoftp.o valid.o xlink.o uri.o
ranlib .libs/libxml.a
(cd .libs && rm -f && ln -s ../
gcc -m64 -DHAVE_CONFIG_H -I. -I. -I. -I.   -DLIBXML_VERSION=\"1.8.17\"    -g
-O2 -Wall -c tester.c
tester.c: In function `main':
tester.c:271: warning: implicit declaration of function `xmlInitParser'
/bin/sh ./libtool --mode=link gcc -m64  -g -O2 -Wall  -o tester  tester.o
gcc -m64 -g -O2 -Wall -o .libs/tester tester.o  ./.libs/
gcc: ./.libs/ No such file or directory
make[2]: *** [tester] Error 1
make[2]: Leaving directory `/libxml-1.8.17'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/libxml-1.8.17 '
make: *** [all-recursive-am] Error 2

Thank you for your help.

xml mailing list, project page
xml gnome org

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]